/***********************************
name:   BERTL_2015_MOTOR_TEST
author: Gottfried Enenkel   HTL BULME
email:  ene@bulme.at
description:
    Der BERTL fährt 1 sec lang  VORWÄRTS! 
    Danach steht er für 1 sec
    
    Wenn der Motor richtig eingebaut ist, 
    steht über dem Linken Anschluß ein PLUS
    Wenn sich der BERTL dreht, ist ein Motor verkehrt eingebaut. 
    
***********************************/
#include "mbed.h"

// ************ DEKLARATIONEN **************
DigitalOut Von (P1_2);           // Motor Spannung ab BERTL15 nötig !
DigitalOut MotorL_EN(P1_15);     // Enable    
DigitalOut MotorL_FORWARD(P1_1); // Forwerts  
DigitalOut MotorL_REVERSE(P1_0); // Rückwerts  

DigitalOut MotorR_EN(P0_21);     //Die Leitung führt zum Pin PO_21 am Prozessor
DigitalOut MotorR_FORWARD(P1_3); //Die Leitung führt zum Pin P1_3 am Prozessor
DigitalOut MotorR_REVERSE(P1_4);

// *************  Hauptprogramm ************
int main() {                     // Start Hauptprogramm
    Von=1;                       // Motor Spannung EIN
    MotorR_EN=MotorL_EN=1;       // Beide Motoren ENABLE
    while(1) {                   // Anfang der Schleife (ohne Abbruch)   
        MotorR_FORWARD = 1;      // RECHTER Motor vorwärts EIN 
        MotorL_FORWARD = 1;      // LINKER Motoren vorwärts EIN
        wait (1.0);              // warte 1 Sekunde  
        MotorR_FORWARD = 0;      // RECHTER Motor STOP
        MotorL_FORWARD = 0;      // LINKER Motoren STOP  
        wait (1.0);              // warte 1 Sekunde 
    }                            // Springe zum Anfang der Schleife 
}                                // Ende des Hauptprogrammes

// **************     ENDE     *************






